Index: .idea/workspace.xml
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.BaseRevisionTextPatchEP
<+><?xml version=\"1.0\" encoding=\"UTF-8\"?>\r\n<project version=\"4\">\r\n  <component name=\"AutoImportSettings\">\r\n    <option name=\"autoReloadType\" value=\"SELECTIVE\" />\r\n  </component>\r\n  <component name=\"ChangeListManager\">\r\n    <list default=\"true\" id=\"40f99245-a515-4617-ac97-201564bb4a1d\" name=\"Default Changelist\" comment=\"contests.html update\">\r\n      <change afterPath=\"$PROJECT_DIR$/.idea/inspectionProfiles/Project_Default.xml\" afterDir=\"false\" />\r\n      <change beforePath=\"$PROJECT_DIR$/.gradle/6.8.3/executionHistory/executionHistory.bin\" beforeDir=\"false\" afterPath=\"$PROJECT_DIR$/.gradle/6.8.3/executionHistory/executionHistory.bin\" afterDir=\"false\" />\r\n      <change beforePath=\"$PROJECT_DIR$/.gradle/6.8.3/executionHistory/executionHistory.lock\" beforeDir=\"false\" afterPath=\"$PROJECT_DIR$/.gradle/6.8.3/executionHistory/executionHistory.lock\" afterDir=\"false\" />\r\n      <change beforePath=\"$PROJECT_DIR$/.gradle/6.8.3/fileHashes/fileHashes.bin\" beforeDir=\"false\" afterPath=\"$PROJECT_DIR$/.gradle/6.8.3/fileHashes/fileHashes.bin\" afterDir=\"false\" />\r\n      <change beforePath=\"$PROJECT_DIR$/.gradle/6.8.3/fileHashes/fileHashes.lock\" beforeDir=\"false\" afterPath=\"$PROJECT_DIR$/.gradle/6.8.3/fileHashes/fileHashes.lock\" afterDir=\"false\" />\r\n      <change beforePath=\"$PROJECT_DIR$/.gradle/6.8.3/fileHashes/resourceHashesCache.bin\" beforeDir=\"false\" afterPath=\"$PROJECT_DIR$/.gradle/6.8.3/fileHashes/resourceHashesCache.bin\" afterDir=\"false\" />\r\n      <change beforePath=\"$PROJECT_DIR$/.gradle/6.8.3/javaCompile/classAnalysis.bin\" beforeDir=\"false\" afterPath=\"$PROJECT_DIR$/.gradle/6.8.3/javaCompile/classAnalysis.bin\" afterDir=\"false\" />\r\n      <change beforePath=\"$PROJECT_DIR$/.gradle/6.8.3/javaCompile/jarAnalysis.bin\" beforeDir=\"false\" afterPath=\"$PROJECT_DIR$/.gradle/6.8.3/javaCompile/jarAnalysis.bin\" afterDir=\"false\" />\r\n      <change beforePath=\"$PROJECT_DIR$/.gradle/6.8.3/javaCompile/javaCompile.lock\" beforeDir=\"false\" afterPath=\"$PROJECT_DIR$/.gradle/6.8.3/javaCompile/javaCompile.lock\" afterDir=\"false\" />\r\n      <change beforePath=\"$PROJECT_DIR$/.gradle/6.8.3/javaCompile/taskHistory.bin\" beforeDir=\"false\" afterPath=\"$PROJECT_DIR$/.gradle/6.8.3/javaCompile/taskHistory.bin\" afterDir=\"false\" />\r\n      <change beforePath=\"$PROJECT_DIR$/.gradle/buildOutputCleanup/buildOutputCleanup.lock\" beforeDir=\"false\" afterPath=\"$PROJECT_DIR$/.gradle/buildOutputCleanup/buildOutputCleanup.lock\" afterDir=\"false\" />\r\n      <change beforePath=\"$PROJECT_DIR$/.gradle/buildOutputCleanup/outputFiles.bin\" beforeDir=\"false\" afterPath=\"$PROJECT_DIR$/.gradle/buildOutputCleanup/outputFiles.bin\" afterDir=\"false\" />\r\n      <change beforePath=\"$PROJECT_DIR$/.idea/dataSources.local.xml\" beforeDir=\"false\" afterPath=\"$PROJECT_DIR$/.idea/dataSources.local.xml\" afterDir=\"false\" />\r\n      <change beforePath=\"$PROJECT_DIR$/.idea/dataSources/da528d47-9396-4a3a-8541-189af6c583a5.xml\" beforeDir=\"false\" afterPath=\"$PROJECT_DIR$/.idea/dataSources/da528d47-9396-4a3a-8541-189af6c583a5.xml\" afterDir=\"false\" />\r\n      <change beforePath=\"$PROJECT_DIR$/.idea/workspace.xml\" beforeDir=\"false\" afterPath=\"$PROJECT_DIR$/.idea/workspace.xml\" afterDir=\"false\" />\r\n      <change beforePath=\"$PROJECT_DIR$/build/classes/java/main/com/finalproject/demo/controllers/ModelMapper.class\" beforeDir=\"false\" afterPath=\"$PROJECT_DIR$/build/classes/java/main/com/finalproject/demo/controllers/ModelMapper.class\" afterDir=\"false\" />\r\n      <change beforePath=\"$PROJECT_DIR$/build/classes/java/main/com/finalproject/demo/controllers/mvc/ContestsMvcController.class\" beforeDir=\"false\" afterPath=\"$PROJECT_DIR$/build/classes/java/main/com/finalproject/demo/controllers/mvc/ContestsMvcController.class\" afterDir=\"false\" />\r\n      <change beforePath=\"$PROJECT_DIR$/build/classes/java/main/com/finalproject/demo/controllers/rest/ContestController.class\" beforeDir=\"false\" afterPath=\"$PROJECT_DIR$/build/classes/java/main/com/finalproject/demo/controllers/rest/ContestController.class\" afterDir=\"false\" />\r\n      <change beforePath=\"$PROJECT_DIR$/build/classes/java/main/com/finalproject/demo/models/Contest.class\" beforeDir=\"false\" afterPath=\"$PROJECT_DIR$/build/classes/java/main/com/finalproject/demo/models/Contest.class\" afterDir=\"false\" />\r\n      <change beforePath=\"$PROJECT_DIR$/build/classes/java/main/com/finalproject/demo/repositories/ContestRepository.class\" beforeDir=\"false\" afterPath=\"$PROJECT_DIR$/build/classes/java/main/com/finalproject/demo/repositories/ContestRepository.class\" afterDir=\"false\" />\r\n      <change beforePath=\"$PROJECT_DIR$/build/classes/java/main/com/finalproject/demo/repositories/ContestRepositoryImpl.class\" beforeDir=\"false\" afterPath=\"$PROJECT_DIR$/build/classes/java/main/com/finalproject/demo/repositories/ContestRepositoryImpl.class\" afterDir=\"false\" />\r\n      <change beforePath=\"$PROJECT_DIR$/build/classes/java/main/com/finalproject/demo/services/ContestService.class\" beforeDir=\"false\" afterPath=\"$PROJECT_DIR$/build/classes/java/main/com/finalproject/demo/services/ContestService.class\" afterDir=\"false\" />\r\n      <change beforePath=\"$PROJECT_DIR$/build/classes/java/main/com/finalproject/demo/services/ContestServiceImpl.class\" beforeDir=\"false\" afterPath=\"$PROJECT_DIR$/build/classes/java/main/com/finalproject/demo/services/ContestServiceImpl.class\" afterDir=\"false\" />\r\n      <change beforePath=\"$PROJECT_DIR$/build/classes/java/main/com/finalproject/demo/services/UserServiceImpl.class\" beforeDir=\"false\" afterPath=\"$PROJECT_DIR$/build/classes/java/main/com/finalproject/demo/services/UserServiceImpl.class\" afterDir=\"false\" />\r\n      <change beforePath=\"$PROJECT_DIR$/build/resources/main/templates/contests.html\" beforeDir=\"false\" afterPath=\"$PROJECT_DIR$/build/resources/main/templates/contests.html\" afterDir=\"false\" />\r\n      <change beforePath=\"$PROJECT_DIR$/build/tmp/compileTestJava/source-classes-mapping.txt\" beforeDir=\"false\" afterPath=\"$PROJECT_DIR$/build/tmp/compileTestJava/source-classes-mapping.txt\" afterDir=\"false\" />\r\n      <change beforePath=\"$PROJECT_DIR$/src/main/java/com/finalproject/demo/controllers/ModelMapper.java\" beforeDir=\"false\" afterPath=\"$PROJECT_DIR$/src/main/java/com/finalproject/demo/controllers/ModelMapper.java\" afterDir=\"false\" />\r\n      <change beforePath=\"$PROJECT_DIR$/src/main/java/com/finalproject/demo/controllers/mvc/ContestsMvcController.java\" beforeDir=\"false\" afterPath=\"$PROJECT_DIR$/src/main/java/com/finalproject/demo/controllers/mvc/ContestsMvcController.java\" afterDir=\"false\" />\r\n      <change beforePath=\"$PROJECT_DIR$/src/main/java/com/finalproject/demo/controllers/mvc/UserMvcController.java\" beforeDir=\"false\" afterPath=\"$PROJECT_DIR$/src/main/java/com/finalproject/demo/controllers/mvc/UserMvcController.java\" afterDir=\"false\" />\r\n      <change beforePath=\"$PROJECT_DIR$/src/main/java/com/finalproject/demo/controllers/rest/ContestController.java\" beforeDir=\"false\" afterPath=\"$PROJECT_DIR$/src/main/java/com/finalproject/demo/controllers/rest/ContestController.java\" afterDir=\"false\" />\r\n      <change beforePath=\"$PROJECT_DIR$/src/main/java/com/finalproject/demo/models/Contest.java\" beforeDir=\"false\" afterPath=\"$PROJECT_DIR$/src/main/java/com/finalproject/demo/models/Contest.java\" afterDir=\"false\" />\r\n      <change beforePath=\"$PROJECT_DIR$/src/main/java/com/finalproject/demo/models/dto/EditUserDto.java\" beforeDir=\"false\" afterPath=\"$PROJECT_DIR$/src/main/java/com/finalproject/demo/models/dto/EditUserDto.java\" afterDir=\"false\" />\r\n      <change beforePath=\"$PROJECT_DIR$/src/main/java/com/finalproject/demo/repositories/ContestRepository.java\" beforeDir=\"false\" afterPath=\"$PROJECT_DIR$/src/main/java/com/finalproject/demo/repositories/ContestRepository.java\" afterDir=\"false\" />\r\n      <change beforePath=\"$PROJECT_DIR$/src/main/java/com/finalproject/demo/repositories/ContestRepositoryImpl.java\" beforeDir=\"false\" afterPath=\"$PROJECT_DIR$/src/main/java/com/finalproject/demo/repositories/ContestRepositoryImpl.java\" afterDir=\"false\" />\r\n      <change beforePath=\"$PROJECT_DIR$/src/main/java/com/finalproject/demo/services/ContestService.java\" beforeDir=\"false\" afterPath=\"$PROJECT_DIR$/src/main/java/com/finalproject/demo/services/ContestService.java\" afterDir=\"false\" />\r\n      <change beforePath=\"$PROJECT_DIR$/src/main/java/com/finalproject/demo/services/ContestServiceImpl.java\" beforeDir=\"false\" afterPath=\"$PROJECT_DIR$/src/main/java/com/finalproject/demo/services/ContestServiceImpl.java\" afterDir=\"false\" />\r\n      <change beforePath=\"$PROJECT_DIR$/src/main/java/com/finalproject/demo/services/UserServiceImpl.java\" beforeDir=\"false\" afterPath=\"$PROJECT_DIR$/src/main/java/com/finalproject/demo/services/UserServiceImpl.java\" afterDir=\"false\" />\r\n      <change beforePath=\"$PROJECT_DIR$/src/main/resources/templates/contests.html\" beforeDir=\"false\" afterPath=\"$PROJECT_DIR$/src/main/resources/templates/contests.html\" afterDir=\"false\" />\r\n      <change beforePath=\"$PROJECT_DIR$/src/main/resources/templates/edit-user-new.html\" beforeDir=\"false\" />\r\n      <change beforePath=\"$PROJECT_DIR$/src/main/resources/templates/edit-user.html\" beforeDir=\"false\" afterPath=\"$PROJECT_DIR$/src/main/resources/templates/edit-user.html\" afterDir=\"false\" />\r\n      <change beforePath=\"$PROJECT_DIR$/src/main/resources/templates/profile-new.html\" beforeDir=\"false\" />\r\n      <change beforePath=\"$PROJECT_DIR$/src/main/resources/templates/profile.html\" beforeDir=\"false\" afterPath=\"$PROJECT_DIR$/src/main/resources/templates/profile.html\" afterDir=\"false\" />\r\n    </list>\r\n    <option name=\"SHOW_DIALOG\" value=\"false\" />\r\n    <option name=\"HIGHLIGHT_CONFLICTS\" value=\"true\" />\r\n    <option name=\"HIGHLIGHT_NON_ACTIVE_CHANGELIST\" value=\"false\" />\r\n    <option name=\"LAST_RESOLUTION\" value=\"IGNORE\" />\r\n  </component>\r\n  <component name=\"ExternalProjectsData\">\r\n    <projectState path=\"$PROJECT_DIR$\">\r\n      <ProjectState />\r\n    </projectState>\r\n  </component>\r\n  <component name=\"ExternalProjectsManager\">\r\n    <system id=\"GRADLE\">\r\n      <state>\r\n        <task path=\"$PROJECT_DIR$\">\r\n          <activation />\r\n        </task>\r\n        <projects_view>\r\n          <tree_state>\r\n            <expand>\r\n              <path>\r\n                <item name=\"\" type=\"6a2764b6:ExternalProjectsStructure$RootNode\" />\r\n                <item name=\"demo\" type=\"f1a62948:ProjectNode\" />\r\n              </path>\r\n            </expand>\r\n            <select />\r\n          </tree_state>\r\n        </projects_view>\r\n      </state>\r\n    </system>\r\n  </component>\r\n  <component name=\"FileTemplateManagerImpl\">\r\n    <option name=\"RECENT_TEMPLATES\">\r\n      <list>\r\n        <option value=\"Enum\" />\r\n        <option value=\"Class\" />\r\n        <option value=\"HTML File\" />\r\n      </list>\r\n    </option>\r\n  </component>\r\n  <component name=\"Git.Settings\">\r\n    <option name=\"RECENT_GIT_ROOT_PATH\" value=\"$PROJECT_DIR$/..\" />\r\n  </component>\r\n  <component name=\"GitSEFilterConfiguration\">\r\n    <file-type-list>\r\n      <filtered-out-file-type name=\"LOCAL_BRANCH\" />\r\n      <filtered-out-file-type name=\"REMOTE_BRANCH\" />\r\n      <filtered-out-file-type name=\"TAG\" />\r\n      <filtered-out-file-type name=\"COMMIT_BY_MESSAGE\" />\r\n    </file-type-list>\r\n  </component>\r\n  <component name=\"ProjectId\" id=\"1qlIpXD27bBnFY5q84kI0GwuqjA\" />\r\n  <component name=\"ProjectLevelVcsManager\" settingsEditedManually=\"true\">\r\n    <ConfirmationsSetting value=\"2\" id=\"Add\" />\r\n  </component>\r\n  <component name=\"ProjectViewState\">\r\n    <option name=\"hideEmptyMiddlePackages\" value=\"true\" />\r\n    <option name=\"showLibraryContents\" value=\"true\" />\r\n  </component>\r\n  <component name=\"PropertiesComponent\">\r\n    <property name=\"ASKED_ADD_EXTERNAL_FILES\" value=\"true\" />\r\n    <property name=\"DatabaseDriversLRU\" value=\"mariadb\" />\r\n    <property name=\"DefaultHtmlFileTemplate\" value=\"HTML File\" />\r\n    <property name=\"RequestMappingsPanelOrder0\" value=\"0\" />\r\n    <property name=\"RequestMappingsPanelOrder1\" value=\"1\" />\r\n    <property name=\"RequestMappingsPanelWidth0\" value=\"75\" />\r\n    <property name=\"RequestMappingsPanelWidth1\" value=\"75\" />\r\n    <property name=\"RunOnceActivity.OpenProjectViewOnStart\" value=\"true\" />\r\n    <property name=\"RunOnceActivity.ShowReadmeOnStart\" value=\"true\" />\r\n    <property name=\"SHARE_PROJECT_CONFIGURATION_FILES\" value=\"true\" />\r\n    <property name=\"WebServerToolWindowFactoryState\" value=\"false\" />\r\n    <property name=\"aspect.path.notification.shown\" value=\"true\" />\r\n    <property name=\"extract.method.default.visibility\" value=\"private\" />\r\n    <property name=\"last_opened_file_path\" value=\"$PROJECT_DIR$/src/main/resources/static/assets/img\" />\r\n    <property name=\"project.structure.last.edited\" value=\"Project\" />\r\n    <property name=\"project.structure.proportion\" value=\"0.15\" />\r\n    <property name=\"project.structure.side.proportion\" value=\"0.2\" />\r\n    <property name=\"settings.editor.selected.configurable\" value=\"reference.settingsdialog.project.gradle\" />\r\n  </component>\r\n  <component name=\"RecentsManager\">\r\n    <key name=\"CopyFile.RECENT_KEYS\">\r\n      <recent name=\"C:\\Users\\user\\Desktop\\Study\\MyRepos\\photocontest\\Demo\\src\\main\\resources\\static\\assets\\img\" />\r\n      <recent name=\"C:\\Users\\user\\Desktop\\Study\\MyRepos\\photocontest\\Demo\\src\\main\\resources\\static\\assets\\css\" />\r\n      <recent name=\"C:\\Users\\user\\Desktop\\Study\\MyRepos\\photocontest\\Demo\\src\\main\\resources\\templates\" />\r\n    </key>\r\n    <key name=\"MoveFile.RECENT_KEYS\">\r\n      <recent name=\"C:\\Users\\ivele\\Desktop\\MyRepos\\photocontest\\Demo\\src\\main\\resources\\templates\" />\r\n      <recent name=\"C:\\Users\\user\\Desktop\\Study\\MyRepos\\photocontest\\Demo\\src\\main\\resources\\static\\assets\\css\" />\r\n      <recent name=\"C:\\Users\\user\\Desktop\\Study\\MyRepos\\photocontest\\Demo\\src\\main\\resources\\templates\" />\r\n      <recent name=\"C:\\Users\\user\\Desktop\\Study\\MyRepos\\photocontest\\Demo\\src\\main\\resources\\static\\assets\\img\" />\r\n      <recent name=\"C:\\Users\\user\\Desktop\\Study\\MyRepos\\photocontest\\Demo\\src\\main\\resources\\static\\assets\\js\" />\r\n    </key>\r\n  </component>\r\n  <component name=\"RunManager\" selected=\"Spring Boot.DemoApplication\">\r\n    <configuration default=\"true\" type=\"ArquillianJUnit\" factoryName=\"\" nameIsGenerated=\"true\">\r\n      <option name=\"arquillianRunConfiguration\">\r\n        <value>\r\n          <option name=\"containerStateName\" value=\"\" />\r\n        </value>\r\n      </option>\r\n      <option name=\"TEST_OBJECT\" value=\"class\" />\r\n      <method v=\"2\">\r\n        <option name=\"Make\" enabled=\"true\" />\r\n      </method>\r\n    </configuration>\r\n    <configuration name=\"ContestServiceTests.finalRanking_Should_Throw_When_ContestNotFinished\" type=\"GradleRunConfiguration\" factoryName=\"Gradle\" temporary=\"true\">\r\n      <ExternalSystemSettings>\r\n        <option name=\"executionName\" />\r\n        <option name=\"externalProjectPath\" value=\"$PROJECT_DIR$\" />\r\n        <option name=\"externalSystemIdString\" value=\"GRADLE\" />\r\n        <option name=\"scriptParameters\" value=\"--tests &quot;com.finalproject.demo.services.ContestServiceTests.finalRanking_Should_Throw_When_ContestNotFinished&quot;\" />\r\n        <option name=\"taskDescriptions\">\r\n          <list />\r\n        </option>\r\n        <option name=\"taskNames\">\r\n          <list>\r\n            <option value=\":test\" />\r\n          </list>\r\n        </option>\r\n        <option name=\"vmOptions\" />\r\n      </ExternalSystemSettings>\r\n      <ExternalSystemDebugServerProcess>false</ExternalSystemDebugServerProcess>\r\n      <ExternalSystemReattachDebugProcess>true</ExternalSystemReattachDebugProcess>\r\n      <DebugAllEnabled>false</DebugAllEnabled>\r\n      <method v=\"2\" />\r\n    </configuration>\r\n    <configuration name=\"DemoApplication\" type=\"SpringBootApplicationConfigurationType\" factoryName=\"Spring Boot\" temporary=\"true\" nameIsGenerated=\"true\">\r\n      <module name=\"demo.main\" />\r\n      <extension name=\"coverage\">\r\n        <pattern>\r\n          <option name=\"PATTERN\" value=\"com.finalproject.demo.*\" />\r\n          <option name=\"ENABLED\" value=\"true\" />\r\n        </pattern>\r\n      </extension>\r\n      <option name=\"SPRING_BOOT_MAIN_CLASS\" value=\"com.finalproject.demo.DemoApplication\" />\r\n      <method v=\"2\">\r\n        <option name=\"Make\" enabled=\"true\" />\r\n      </method>\r\n    </configuration>\r\n    <recent_temporary>\r\n      <list>\r\n        <item itemvalue=\"Spring Boot.DemoApplication\" />\r\n        <item itemvalue=\"Gradle.ContestServiceTests.finalRanking_Should_Throw_When_ContestNotFinished\" />\r\n      </list>\r\n    </recent_temporary>\r\n  </component>\r\n  <component name=\"SpellCheckerSettings\" RuntimeDictionaries=\"0\" Folders=\"0\" CustomDictionaries=\"0\" DefaultDictionary=\"application-level\" UseSingleDictionary=\"true\" transferred=\"true\" />\r\n  <component name=\"TaskManager\">\r\n    <task active=\"true\" id=\"Default\" summary=\"Default task\">\r\n      <changelist id=\"40f99245-a515-4617-ac97-201564bb4a1d\" name=\"Default Changelist\" comment=\"\" />\r\n      <created>1617647936754</created>\r\n      <option name=\"number\" value=\"Default\" />\r\n      <option name=\"presentableId\" value=\"Default\" />\r\n      <updated>1617647936754</updated>\r\n      <workItem from=\"1617647939556\" duration=\"235000\" />\r\n      <workItem from=\"1617648196208\" duration=\"2077000\" />\r\n      <workItem from=\"1617688246286\" duration=\"5705000\" />\r\n      <workItem from=\"1617807808696\" duration=\"10796000\" />\r\n      <workItem from=\"1617824446326\" duration=\"187000\" />\r\n      <workItem from=\"1617994088885\" duration=\"1424000\" />\r\n      <workItem from=\"1618006665606\" duration=\"12000\" />\r\n      <workItem from=\"1618007261143\" duration=\"1072000\" />\r\n      <workItem from=\"1618054153421\" duration=\"2422000\" />\r\n      <workItem from=\"1618066486914\" duration=\"2407000\" />\r\n      <workItem from=\"1618327591926\" duration=\"2066000\" />\r\n      <workItem from=\"1618341102305\" duration=\"2839000\" />\r\n      <workItem from=\"1618348982940\" duration=\"936000\" />\r\n      <workItem from=\"1618394287345\" duration=\"30000\" />\r\n      <workItem from=\"1618395032228\" duration=\"4843000\" />\r\n      <workItem from=\"1618406393712\" duration=\"11815000\" />\r\n      <workItem from=\"1618429016905\" duration=\"2319000\" />\r\n      <workItem from=\"1618473221322\" duration=\"2600000\" />\r\n      <workItem from=\"1618485396576\" duration=\"658000\" />\r\n      <workItem from=\"1618487967099\" duration=\"6373000\" />\r\n      <workItem from=\"1618498307049\" duration=\"2612000\" />\r\n      <workItem from=\"1618513941094\" duration=\"596000\" />\r\n      <workItem from=\"1618517548661\" duration=\"1232000\" />\r\n      <workItem from=\"1618560060605\" duration=\"5744000\" />\r\n      <workItem from=\"1618513941094\" duration=\"1069000\" />\r\n      <workItem from=\"1618571076066\" duration=\"485000\" />\r\n    </task>\r\n    <task id=\"LOCAL-00001\" summary=\"contest\">\r\n      <created>1617747735610</created>\r\n      <option name=\"number\" value=\"00001\" />\r\n      <option name=\"presentableId\" value=\"LOCAL-00001\" />\r\n      <option name=\"project\" value=\"LOCAL\" />\r\n      <updated>1617747735610</updated>\r\n    </task>\r\n    <task id=\"LOCAL-00002\" summary=\"Scoring\">\r\n      <created>1617819972805</created>\r\n      <option name=\"number\" value=\"00002\" />\r\n      <option name=\"presentableId\" value=\"LOCAL-00002\" />\r\n      <option name=\"project\" value=\"LOCAL\" />\r\n      <updated>1617819972805</updated>\r\n    </task>\r\n    <task id=\"LOCAL-00003\" summary=\"db update\">\r\n      <created>1617824621779</created>\r\n      <option name=\"number\" value=\"00003\" />\r\n      <option name=\"presentableId\" value=\"LOCAL-00003\" />\r\n      <option name=\"project\" value=\"LOCAL\" />\r\n      <updated>1617824621779</updated>\r\n    </task>\r\n    <task id=\"LOCAL-00004\" summary=\"review business logic update\">\r\n      <created>1618068485309</created>\r\n      <option name=\"number\" value=\"00004\" />\r\n      <option name=\"presentableId\" value=\"LOCAL-00004\" />\r\n      <option name=\"project\" value=\"LOCAL\" />\r\n      <updated>1618068485309</updated>\r\n    </task>\r\n    <task id=\"LOCAL-00005\" summary=\"Add ContestsMvcController , contests.html\">\r\n      <created>1618330265803</created>\r\n      <option name=\"number\" value=\"00005\" />\r\n      <option name=\"presentableId\" value=\"LOCAL-00005\" />\r\n      <option name=\"project\" value=\"LOCAL\" />\r\n      <updated>1618330265803</updated>\r\n    </task>\r\n    <task id=\"LOCAL-00006\" summary=\"Helpers class (for the tests) and User Service Tests\">\r\n      <created>1618352077576</created>\r\n      <option name=\"number\" value=\"00006\" />\r\n      <option name=\"presentableId\" value=\"LOCAL-00006\" />\r\n      <option name=\"project\" value=\"LOCAL\" />\r\n      <updated>1618352077576</updated>\r\n    </task>\r\n    <task id=\"LOCAL-00007\" summary=\"Helpers class (for the tests) and User Service Tests\">\r\n      <created>1618352090064</created>\r\n      <option name=\"number\" value=\"00007\" />\r\n      <option name=\"presentableId\" value=\"LOCAL-00007\" />\r\n      <option name=\"project\" value=\"LOCAL\" />\r\n      <updated>1618352090064</updated>\r\n    </task>\r\n    <task id=\"LOCAL-00008\" summary=\"Helpers class (for the tests) and User Service Tests\">\r\n      <created>1618352096142</created>\r\n      <option name=\"number\" value=\"00008\" />\r\n      <option name=\"presentableId\" value=\"LOCAL-00008\" />\r\n      <option name=\"project\" value=\"LOCAL\" />\r\n      <updated>1618352096142</updated>\r\n    </task>\r\n    <task id=\"LOCAL-00009\" summary=\"Add login , Refactor templates\">\r\n      <created>1618400171069</created>\r\n      <option name=\"number\" value=\"00009\" />\r\n      <option name=\"presentableId\" value=\"LOCAL-00009\" />\r\n      <option name=\"project\" value=\"LOCAL\" />\r\n      <updated>1618400171069</updated>\r\n    </task>\r\n    <task id=\"LOCAL-00010\" summary=\"Add single contests\">\r\n      <created>1618414136762</created>\r\n      <option name=\"number\" value=\"00010\" />\r\n      <option name=\"presentableId\" value=\"LOCAL-00010\" />\r\n      <option name=\"project\" value=\"LOCAL\" />\r\n      <updated>1618414136763</updated>\r\n    </task>\r\n    <task id=\"LOCAL-00011\" summary=\"dashboard.html\">\r\n      <created>1618431423412</created>\r\n      <option name=\"number\" value=\"00011\" />\r\n      <option name=\"presentableId\" value=\"LOCAL-00011\" />\r\n      <option name=\"project\" value=\"LOCAL\" />\r\n      <updated>1618431423412</updated>\r\n    </task>\r\n    <task id=\"LOCAL-00012\" summary=\"dashboard\">\r\n      <created>1618475793501</created>\r\n      <option name=\"number\" value=\"00012\" />\r\n      <option name=\"presentableId\" value=\"LOCAL-00012\" />\r\n      <option name=\"project\" value=\"LOCAL\" />\r\n      <updated>1618475793501</updated>\r\n    </task>\r\n    <task id=\"LOCAL-00013\" summary=\"nqkakvi failove ot gradle\">\r\n      <created>1618475827022</created>\r\n      <option name=\"number\" value=\"00013\" />\r\n      <option name=\"presentableId\" value=\"LOCAL-00013\" />\r\n      <option name=\"project\" value=\"LOCAL\" />\r\n      <updated>1618475827022</updated>\r\n    </task>\r\n    <task id=\"LOCAL-00014\" summary=\"add button\">\r\n      <created>1618487207332</created>\r\n      <option name=\"number\" value=\"00014\" />\r\n      <option name=\"presentableId\" value=\"LOCAL-00014\" />\r\n      <option name=\"project\" value=\"LOCAL\" />\r\n      <updated>1618487207332</updated>\r\n    </task>\r\n    <task id=\"LOCAL-00015\" summary=\"add dashboard\">\r\n      <created>1618488029425</created>\r\n      <option name=\"number\" value=\"00015\" />\r\n      <option name=\"presentableId\" value=\"LOCAL-00015\" />\r\n      <option name=\"project\" value=\"LOCAL\" />\r\n      <updated>1618488029425</updated>\r\n    </task>\r\n    <task id=\"LOCAL-00016\" summary=\"Fix Login and Register , Add error page\">\r\n      <created>1618514884003</created>\r\n      <option name=\"number\" value=\"00016\" />\r\n      <option name=\"presentableId\" value=\"LOCAL-00016\" />\r\n      <option name=\"project\" value=\"LOCAL\" />\r\n      <updated>1618514884003</updated>\r\n    </task>\r\n    <task id=\"LOCAL-00017\" summary=\"contests.html update\">\r\n      <created>1618584007058</created>\r\n      <option name=\"number\" value=\"00017\" />\r\n      <option name=\"presentableId\" value=\"LOCAL-00017\" />\r\n      <option name=\"project\" value=\"LOCAL\" />\r\n      <updated>1618584007058</updated>\r\n    </task>\r\n    <option name=\"localTasksCounter\" value=\"18\" />\r\n    <servers />\r\n  </component>\r\n  <component name=\"TypeScriptGeneratedFilesManager\">\r\n    <option name=\"version\" value=\"3\" />\r\n  </component>\r\n  <component name=\"Vcs.Log.Tabs.Properties\">\r\n    <option name=\"TAB_STATES\">\r\n      <map>\r\n        <entry key=\"MAIN\">\r\n          <value>\r\n            <State />\r\n          </value>\r\n        </entry>\r\n      </map>\r\n    </option>\r\n    <option name=\"oldMeFiltersMigrated\" value=\"true\" />\r\n  </component>\r\n  <component name=\"VcsManagerConfiguration\">\r\n    <option name=\"CHECK_CODE_SMELLS_BEFORE_PROJECT_COMMIT\" value=\"false\" />\r\n    <option name=\"CHECK_NEW_TODO\" value=\"false\" />\r\n    <option name=\"ADD_EXTERNAL_FILES_SILENTLY\" value=\"true\" />\r\n    <MESSAGE value=\"contest\" />\r\n    <MESSAGE value=\"Scoring\" />\r\n    <MESSAGE value=\"db update\" />\r\n    <MESSAGE value=\"review business logic update\" />\r\n    <MESSAGE value=\"Add ContestsMvcController , contests.html\" />\r\n    <MESSAGE value=\"Helpers class (for the tests) and User Service Tests\" />\r\n    <MESSAGE value=\"Add login , Refactor templates\" />\r\n    <MESSAGE value=\"Add single contests\" />\r\n    <MESSAGE value=\"dashboard.html\" />\r\n    <MESSAGE value=\"dashboard\" />\r\n    <MESSAGE value=\"nqkakvi failove ot gradle\" />\r\n    <MESSAGE value=\"add button\" />\r\n    <MESSAGE value=\"add dashboard\" />\r\n    <MESSAGE value=\"Edit User Dto\" />\r\n    <MESSAGE value=\"edit user and profile mvc\" />\r\n    <MESSAGE value=\"Fix Login and Register , Add error page\" />\r\n    <MESSAGE value=\"contests.html update\" />\r\n    <option name=\"LAST_COMMIT_MESSAGE\" value=\"contests.html update\" />\r\n  </component>\r\n  <component name=\"XDebuggerManager\">\r\n    <breakpoint-manager>\r\n      <breakpoints>\r\n        <line-breakpoint enabled=\"true\" type=\"java-method\">\r\n          <url>file://$PROJECT_DIR$/src/main/java/com/finalproject/demo/controllers/mvc/AuthenticationMvcController.java</url>\r\n          <line>86</line>\r\n          <properties class=\"com.finalproject.demo.controllers.mvc.AuthenticationMvcController\" method=\"handleRegister\">\r\n            <option name=\"EMULATED\" value=\"true\" />\r\n          </properties>\r\n          <option name=\"timeStamp\" value=\"4\" />\r\n        </line-breakpoint>\r\n        <line-breakpoint enabled=\"true\" type=\"java-line\">\r\n          <url>file://$PROJECT_DIR$/src/main/java/com/finalproject/demo/repositories/UserRepositoryImpl.java</url>\r\n          <line>111</line>\r\n          <option name=\"timeStamp\" value=\"10\" />\r\n        </line-breakpoint>\r\n        <line-breakpoint enabled=\"true\" type=\"java-line\">\r\n          <url>file://$PROJECT_DIR$/src/main/java/com/finalproject/demo/services/UserServiceImpl.java</url>\r\n          <line>52</line>\r\n          <option name=\"timeStamp\" value=\"12\" />\r\n        </line-breakpoint>\r\n        <line-breakpoint enabled=\"true\" type=\"java-line\">\r\n          <url>file://$PROJECT_DIR$/src/main/java/com/finalproject/demo/controllers/mvc/UserMvcController.java</url>\r\n          <line>88</line>\r\n          <option name=\"timeStamp\" value=\"14\" />\r\n        </line-breakpoint>\r\n        <line-breakpoint enabled=\"true\" type=\"java-line\">\r\n          <url>file://$PROJECT_DIR$/src/main/java/com/finalproject/demo/controllers/mvc/UserMvcController.java</url>\r\n          <line>83</line>\r\n          <option name=\"timeStamp\" value=\"15\" />\r\n        </line-breakpoint>\r\n      </breakpoints>\r\n    </breakpoint-manager>\r\n  </component>\r\n  <component name=\"com.intellij.coverage.CoverageDataManagerImpl\">\r\n    <SUITE FILE_PATH=\"coverage/demo$UserServiceTests.ic\" NAME=\"UserServiceTests Coverage Results\" MODIFIED=\"1618261697837\" SOURCE_PROVIDER=\"com.intellij.coverage.DefaultCoverageFileProvider\" RUNNER=\"idea\" COVERAGE_BY_TEST_ENABLED=\"false\" COVERAGE_TRACING_ENABLED=\"false\" />\r\n  </component>\r\n</project>
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
diff --git a/.idea/workspace.xml b/.idea/workspace.xml
--- a/.idea/workspace.xml	(revision 6978b2c17ac32e6f0237b5d5ea9a12eec81e8c34)
+++ b/.idea/workspace.xml	(date 1618653316234)
@@ -4,49 +4,8 @@
     <option name="autoReloadType" value="SELECTIVE" />
   </component>
   <component name="ChangeListManager">
-    <list default="true" id="40f99245-a515-4617-ac97-201564bb4a1d" name="Default Changelist" comment="contests.html update">
-      <change afterPath="$PROJECT_DIR$/.idea/inspectionProfiles/Project_Default.xml" afterDir="false" />
-      <change beforePath="$PROJECT_DIR$/.gradle/6.8.3/executionHistory/executionHistory.bin" beforeDir="false" afterPath="$PROJECT_DIR$/.gradle/6.8.3/executionHistory/executionHistory.bin" afterDir="false" />
-      <change beforePath="$PROJECT_DIR$/.gradle/6.8.3/executionHistory/executionHistory.lock" beforeDir="false" afterPath="$PROJECT_DIR$/.gradle/6.8.3/executionHistory/executionHistory.lock" afterDir="false" />
-      <change beforePath="$PROJECT_DIR$/.gradle/6.8.3/fileHashes/fileHashes.bin" beforeDir="false" afterPath="$PROJECT_DIR$/.gradle/6.8.3/fileHashes/fileHashes.bin" afterDir="false" />
-      <change beforePath="$PROJECT_DIR$/.gradle/6.8.3/fileHashes/fileHashes.lock" beforeDir="false" afterPath="$PROJECT_DIR$/.gradle/6.8.3/fileHashes/fileHashes.lock" afterDir="false" />
-      <change beforePath="$PROJECT_DIR$/.gradle/6.8.3/fileHashes/resourceHashesCache.bin" beforeDir="false" afterPath="$PROJECT_DIR$/.gradle/6.8.3/fileHashes/resourceHashesCache.bin" afterDir="false" />
-      <change beforePath="$PROJECT_DIR$/.gradle/6.8.3/javaCompile/classAnalysis.bin" beforeDir="false" afterPath="$PROJECT_DIR$/.gradle/6.8.3/javaCompile/classAnalysis.bin" afterDir="false" />
-      <change beforePath="$PROJECT_DIR$/.gradle/6.8.3/javaCompile/jarAnalysis.bin" beforeDir="false" afterPath="$PROJECT_DIR$/.gradle/6.8.3/javaCompile/jarAnalysis.bin" afterDir="false" />
-      <change beforePath="$PROJECT_DIR$/.gradle/6.8.3/javaCompile/javaCompile.lock" beforeDir="false" afterPath="$PROJECT_DIR$/.gradle/6.8.3/javaCompile/javaCompile.lock" afterDir="false" />
-      <change beforePath="$PROJECT_DIR$/.gradle/6.8.3/javaCompile/taskHistory.bin" beforeDir="false" afterPath="$PROJECT_DIR$/.gradle/6.8.3/javaCompile/taskHistory.bin" afterDir="false" />
-      <change beforePath="$PROJECT_DIR$/.gradle/buildOutputCleanup/buildOutputCleanup.lock" beforeDir="false" afterPath="$PROJECT_DIR$/.gradle/buildOutputCleanup/buildOutputCleanup.lock" afterDir="false" />
-      <change beforePath="$PROJECT_DIR$/.gradle/buildOutputCleanup/outputFiles.bin" beforeDir="false" afterPath="$PROJECT_DIR$/.gradle/buildOutputCleanup/outputFiles.bin" afterDir="false" />
-      <change beforePath="$PROJECT_DIR$/.idea/dataSources.local.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/dataSources.local.xml" afterDir="false" />
-      <change beforePath="$PROJECT_DIR$/.idea/dataSources/da528d47-9396-4a3a-8541-189af6c583a5.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/dataSources/da528d47-9396-4a3a-8541-189af6c583a5.xml" afterDir="false" />
+    <list default="true" id="40f99245-a515-4617-ac97-201564bb4a1d" name="Default Changelist" comment="User update MVC">
       <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
-      <change beforePath="$PROJECT_DIR$/build/classes/java/main/com/finalproject/demo/controllers/ModelMapper.class" beforeDir="false" afterPath="$PROJECT_DIR$/build/classes/java/main/com/finalproject/demo/controllers/ModelMapper.class" afterDir="false" />
-      <change beforePath="$PROJECT_DIR$/build/classes/java/main/com/finalproject/demo/controllers/mvc/ContestsMvcController.class" beforeDir="false" afterPath="$PROJECT_DIR$/build/classes/java/main/com/finalproject/demo/controllers/mvc/ContestsMvcController.class" afterDir="false" />
-      <change beforePath="$PROJECT_DIR$/build/classes/java/main/com/finalproject/demo/controllers/rest/ContestController.class" beforeDir="false" afterPath="$PROJECT_DIR$/build/classes/java/main/com/finalproject/demo/controllers/rest/ContestController.class" afterDir="false" />
-      <change beforePath="$PROJECT_DIR$/build/classes/java/main/com/finalproject/demo/models/Contest.class" beforeDir="false" afterPath="$PROJECT_DIR$/build/classes/java/main/com/finalproject/demo/models/Contest.class" afterDir="false" />
-      <change beforePath="$PROJECT_DIR$/build/classes/java/main/com/finalproject/demo/repositories/ContestRepository.class" beforeDir="false" afterPath="$PROJECT_DIR$/build/classes/java/main/com/finalproject/demo/repositories/ContestRepository.class" afterDir="false" />
-      <change beforePath="$PROJECT_DIR$/build/classes/java/main/com/finalproject/demo/repositories/ContestRepositoryImpl.class" beforeDir="false" afterPath="$PROJECT_DIR$/build/classes/java/main/com/finalproject/demo/repositories/ContestRepositoryImpl.class" afterDir="false" />
-      <change beforePath="$PROJECT_DIR$/build/classes/java/main/com/finalproject/demo/services/ContestService.class" beforeDir="false" afterPath="$PROJECT_DIR$/build/classes/java/main/com/finalproject/demo/services/ContestService.class" afterDir="false" />
-      <change beforePath="$PROJECT_DIR$/build/classes/java/main/com/finalproject/demo/services/ContestServiceImpl.class" beforeDir="false" afterPath="$PROJECT_DIR$/build/classes/java/main/com/finalproject/demo/services/ContestServiceImpl.class" afterDir="false" />
-      <change beforePath="$PROJECT_DIR$/build/classes/java/main/com/finalproject/demo/services/UserServiceImpl.class" beforeDir="false" afterPath="$PROJECT_DIR$/build/classes/java/main/com/finalproject/demo/services/UserServiceImpl.class" afterDir="false" />
-      <change beforePath="$PROJECT_DIR$/build/resources/main/templates/contests.html" beforeDir="false" afterPath="$PROJECT_DIR$/build/resources/main/templates/contests.html" afterDir="false" />
-      <change beforePath="$PROJECT_DIR$/build/tmp/compileTestJava/source-classes-mapping.txt" beforeDir="false" afterPath="$PROJECT_DIR$/build/tmp/compileTestJava/source-classes-mapping.txt" afterDir="false" />
-      <change beforePath="$PROJECT_DIR$/src/main/java/com/finalproject/demo/controllers/ModelMapper.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/finalproject/demo/controllers/ModelMapper.java" afterDir="false" />
-      <change beforePath="$PROJECT_DIR$/src/main/java/com/finalproject/demo/controllers/mvc/ContestsMvcController.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/finalproject/demo/controllers/mvc/ContestsMvcController.java" afterDir="false" />
-      <change beforePath="$PROJECT_DIR$/src/main/java/com/finalproject/demo/controllers/mvc/UserMvcController.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/finalproject/demo/controllers/mvc/UserMvcController.java" afterDir="false" />
-      <change beforePath="$PROJECT_DIR$/src/main/java/com/finalproject/demo/controllers/rest/ContestController.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/finalproject/demo/controllers/rest/ContestController.java" afterDir="false" />
-      <change beforePath="$PROJECT_DIR$/src/main/java/com/finalproject/demo/models/Contest.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/finalproject/demo/models/Contest.java" afterDir="false" />
-      <change beforePath="$PROJECT_DIR$/src/main/java/com/finalproject/demo/models/dto/EditUserDto.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/finalproject/demo/models/dto/EditUserDto.java" afterDir="false" />
-      <change beforePath="$PROJECT_DIR$/src/main/java/com/finalproject/demo/repositories/ContestRepository.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/finalproject/demo/repositories/ContestRepository.java" afterDir="false" />
-      <change beforePath="$PROJECT_DIR$/src/main/java/com/finalproject/demo/repositories/ContestRepositoryImpl.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/finalproject/demo/repositories/ContestRepositoryImpl.java" afterDir="false" />
-      <change beforePath="$PROJECT_DIR$/src/main/java/com/finalproject/demo/services/ContestService.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/finalproject/demo/services/ContestService.java" afterDir="false" />
-      <change beforePath="$PROJECT_DIR$/src/main/java/com/finalproject/demo/services/ContestServiceImpl.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/finalproject/demo/services/ContestServiceImpl.java" afterDir="false" />
-      <change beforePath="$PROJECT_DIR$/src/main/java/com/finalproject/demo/services/UserServiceImpl.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/finalproject/demo/services/UserServiceImpl.java" afterDir="false" />
-      <change beforePath="$PROJECT_DIR$/src/main/resources/templates/contests.html" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/resources/templates/contests.html" afterDir="false" />
-      <change beforePath="$PROJECT_DIR$/src/main/resources/templates/edit-user-new.html" beforeDir="false" />
-      <change beforePath="$PROJECT_DIR$/src/main/resources/templates/edit-user.html" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/resources/templates/edit-user.html" afterDir="false" />
-      <change beforePath="$PROJECT_DIR$/src/main/resources/templates/profile-new.html" beforeDir="false" />
-      <change beforePath="$PROJECT_DIR$/src/main/resources/templates/profile.html" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/resources/templates/profile.html" afterDir="false" />
     </list>
     <option name="SHOW_DIALOG" value="false" />
     <option name="HIGHLIGHT_CONFLICTS" value="true" />
@@ -141,17 +100,6 @@
     </key>
   </component>
   <component name="RunManager" selected="Spring Boot.DemoApplication">
-    <configuration default="true" type="ArquillianJUnit" factoryName="" nameIsGenerated="true">
-      <option name="arquillianRunConfiguration">
-        <value>
-          <option name="containerStateName" value="" />
-        </value>
-      </option>
-      <option name="TEST_OBJECT" value="class" />
-      <method v="2">
-        <option name="Make" enabled="true" />
-      </method>
-    </configuration>
     <configuration name="ContestServiceTests.finalRanking_Should_Throw_When_ContestNotFinished" type="GradleRunConfiguration" factoryName="Gradle" temporary="true">
       <ExternalSystemSettings>
         <option name="executionName" />
@@ -347,7 +295,14 @@
       <option name="project" value="LOCAL" />
       <updated>1618584007058</updated>
     </task>
-    <option name="localTasksCounter" value="18" />
+    <task id="LOCAL-00018" summary="User update MVC">
+      <created>1618595651807</created>
+      <option name="number" value="00018" />
+      <option name="presentableId" value="LOCAL-00018" />
+      <option name="project" value="LOCAL" />
+      <updated>1618595651807</updated>
+    </task>
+    <option name="localTasksCounter" value="19" />
     <servers />
   </component>
   <component name="TypeScriptGeneratedFilesManager">
@@ -386,7 +341,8 @@
     <MESSAGE value="edit user and profile mvc" />
     <MESSAGE value="Fix Login and Register , Add error page" />
     <MESSAGE value="contests.html update" />
-    <option name="LAST_COMMIT_MESSAGE" value="contests.html update" />
+    <MESSAGE value="User update MVC" />
+    <option name="LAST_COMMIT_MESSAGE" value="User update MVC" />
   </component>
   <component name="XDebuggerManager">
     <breakpoint-manager>
